composer如何使用不同的PHP版本

时间:2020-12-19

如果你的本地PHP环境为PHP8,而你的项目又需要PHP7,用composer安装可能会出现问题。

首先找到composer安装位置

就是这个文件的位置:C:\ProgramData\ComposerSetup\bin\composer.phar

然后找到指定的PHP版本位置

注意:不要在phpstrom命令行下运行(如果你是复制路径的话)。

你把这个命令拿到cmd去运行

路径前面是有特殊符号的。

所以去掉特殊字符既可以安装了。

c:\dev\php7.2.9\php.exe C:/ProgramData/ComposerSetup/bin/composer.phar update

完整的PHP路径加composer.phar完整路径运行。